/*
 * Copyright 2010-2014 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

/*
 * Do not modify this file. This file is generated from the support-2013-04-15.normal.json service model.
 */
using System;
using System.Collections.Generic;
using System.Xml.Serialization;
using System.Text;
using System.IO;

using Amazon.Runtime;
using Amazon.Runtime.Internal;

namespace Amazon.AWSSupport.Model
{
    /// <summary>
    /// The result of the Trusted Advisor check returned by the <a>DescribeTrustedAdvisorCheckResult</a>
    /// operation.
    /// </summary>
    public partial class DescribeTrustedAdvisorCheckResultResponse : AmazonWebServiceResponse
    {
        private TrustedAdvisorCheckResult _result;

        /// <summary>
        /// Gets and sets the property Result. 
        /// <para>
        /// The detailed results of the Trusted Advisor check.
        /// </para>
        /// </summary>
        public TrustedAdvisorCheckResult Result
        {
            get { return this._result; }
            set { this._result = value; }
        }

        // Check to see if Result property is set
        internal bool IsSetResult()
        {
            return this._result != null;
        }

    }
}